#
# pg_profile::database::db_instances
#
# @summary This class contains the definition of the Postgres database instances
# When these customizations aren't enough, you can replace the class with your own class. See [ora_profile::database](./database.html) for an explanation on how to do this.
#
#
# See the file "LICENSE" for the full license governing this code.
#
class pg_profile::database::db_instances (
  Hash  $defaults,
  Hash  $list
) inherits pg_profile {
  echo { "Ensure Postgres instances(s) at ${list.keys.join(',')}":
    withpath => false,
  }
  easy_type::debug_evaluation() # Show local variable on extended debug
  create_resources('pg_config::pg_instance', $list, $defaults)
}
